LearningApi

Search for enrollments by filtering on specific properties

post

At least one user id or org id is required. The two can be mixed. In addition to userid and orgid search results can be filtered by other fields including the date enrolled and date completed. Please look at the model spec for the filter.

Results will be ordered by the enrollment date ({Nexport.WebApi.Model.v1.ApiEnrollmentItem.EnrollmentDate} from earliest to latest. ###Permissions Requires the View Section Enrollments and View Training Plan Enrollments Permission in the target user's owner organization or in the organization the enrollment belongs to. If a list of organizations is specified in the filter then you must have these permissions in all of the specified organizations.

Query parameters
pageinteger · int32Optional

The request page of results

paer_pageinteger · int32Optional

(OBSOLETE) Left here for backwards compatibility please use the per_page parameter

per_pageinteger · int32Optional

Number of results to return on each page. If less than 1 or null the value will be reset to 30. If greater than 1000 then the the value will be reset to 1000

access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Body

Specify how to filter the search results for enrollments.

user_idsstring · uuid[]Optional

Limit the results to only enrollments for ANY of these users This field is ignored if no IDs are provided

syllabus_unique_namesstring[]Optional

Limit the results to only enrollments in syllabus' with ANY of these unique names. This field is ignored if no IDs are provided

org_idsstring · uuid[]Optional

Limit the results to only enrollments in ANY of these organizations (by ID). This field is ignored if no IDs are provided

enrollment_idsstring · uuid[]Optional

Limit the results to only enrollments with any of these enrollment Ids. This field is ignored if no IDs are provided

utc_activity_beforestring · date-timeOptional

Only return enrollments with a last activity date before this date

utc_activity_afterstring · date-timeOptional

Only return enrollments with a last activity date after this date

utc_enrolled_beforestring · date-timeOptional

Only return enrollments created before this date

utc_enrolled_afterstring · date-timeOptional

Only return enrollments created AFTER this date

utc_completed_beforestring · date-timeOptional

Only return enrollments completed before this date

utc_completed_afterstring · date-timeOptional

Only return enrollments completed AFTER this date

syllabus_idsstring · uuid[]Optional

Only return enrollments in any of these sylabus IDs. This field is ignored if no IDs are provided

Responses
chevron-right
200

Enrollment search results successfully returned

Enrollments matching the provided filter

pageinteger · int32Required

The one based index of the current page

page_sizeinteger · int32Required

Requested page size

total_countinteger · int32Required

Number of records across ALL pages

post
/api/v1/LearningApi/SearchEnrollments

Returns a list of section enrollments based on the supplied search criteria.

get

Returns a list of section enrollments based on the supplied search criteria. Must supply method with at least one of:

  • subscriber_id

  • syllabus_id

  • enrollment_id

  • syllabus_unique_name

If syllabus_id or enrollment_id is supplied, then org_id must also be supplied. Results are ordered by enrollment date from most recent to least recent. ###Permissions Requirements Requires the View Section Enrollments permission in the specified org or an ancestor, or the specified subscription org or an ancestor, or the enrollment subscription org or an ancestor.

Query parameters
org_idstring · uuidOptional

Id of the organization to check permissions in for syllabus options

subscriber_idstring · uuidOptional

Id of the subscription that the section enrollments belong to

user_idstring · uuidOptional

If provided then subscriber ID must not be sent

syllabus_idstring · uuidOptional

Id of a syllabus that belongs to the enrollments

enrollment_idstring · uuidOptional

Id of a particular section enrollment

syllabus_unique_namestringOptional

Unique name of a syllabus that belongs to the enrollment

pageinteger · int32Optional

Which page of results to start on

per_pageinteger · int32Optional

How many results to show per page

access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Responses
chevron-right
200

List of section enrollments

Contains relevant section enrollment information

enrollment_dayinteger · int32Optional

Day the student enrolled

enrollment_monthinteger · int32Optional

Month the student enrolled

enrollment_yearinteger · int32Optional

Year the student enrolled

subscription_idstring · uuidRequired

Id of the subscription this enrollment is attached to

Example: 00000000-0000-0000-0000-000000000000
titlestringOptional

Title of the section this enrollment belongs to

numberstringOptional

Number of the section this enrollment belongs to

assignment_countinteger · int32Optional

Number of assignments in the section that is tied to this enrollment

completed_assignment_countinteger · int32Optional

How many assignments have been completed for this enrollment

percent_assignments_completeinteger · int32Optional

Return the percentage of assignments completed out of the total assignments for credit.

weighted_scoreinteger · int32Optional

The Weighted Score of this enrollment

max_weighted_scorenumber · doubleOptional

The Max Weighted Score of this enrollment

enrollment_idstring · uuidRequired

Id of this enrollment

Example: 00000000-0000-0000-0000-000000000000
enrollment_datestring · date-timeOptional

When this enrollment was created

start_datestring · date-timeOptional

When this enrollment was started

expiration_datestring · date-timeOptional

When this enrollment expires (UTC)

completion_datestring · date-timeOptional

When this enrollment was completed by the student (UTC)

syllabus_idstring · uuidOptional

Id of the syllabus belonging to this enrollment

Example: 00000000-0000-0000-0000-000000000000
unique_namestringOptional

UniqueName is meant to be a simple way to map a user defined identifier to to specific a syllabus without the risk of duplicates. The advantage over using the Id is that it can be moved from one syllabus to another.

first_activity_datestring · date-timeOptional

When this enrollment was first accessed (UTC)

last_activity_datestring · date-timeOptional

When this enrollment was last accessed (UTC)

resultinteger · enumRequired

When in the completed state this describes what the end result is.0 = Not Graded, 1 = Passed, 2 = Failed

Possible values:
phaseinteger · enumRequired

The state of an activity.0 = Not Started, 1 = In Progress, 2 = Finished, 15 = To Be Graded, 16 = Resubmit Required

Possible values:
user_idstring · uuidRequired

Id of the user in the enrollment

Example: 00000000-0000-0000-0000-000000000000
get
/api/v1/LearningApi/GetSectionEnrollments

Returns a list of training plan enrollments

get

Returns a list of training plan enrollments based on the supplied search criteria. Must supply method with at least one of:

  • subscriber_id

  • user_id

  • syllabus_id

  • enrollment_id

  • syllabus_unique_name If syllabus_id or enrollment_id is supplied, then org_id must also be supplied. Results are ordered by enrollment date from most recent to least recent. Requires the View Training Plan Enrollments permission in the specified org or an ancestor, or the specified subscription org or an ancestor, or the enrollment subscription org or an ancestor. ###Permissions Requirements Requires the View Training Plan Enrollments permission in the specified org or an ancestor, or the specified subscription org or an ancestor, or the enrollment subscription org or an ancestor.

Query parameters
org_idstring · uuidOptional

Id of the organization to check permissions in for syllabus options

subscriber_idstring · uuidOptional

Id of the subscription that the training plan enrollments belong to

user_idstring · uuidOptional
syllabus_idstring · uuidOptional

Id of a syllabus that belongs to the enrollments

enrollment_idstring · uuidOptional

Id of a particular training plan enrollment

syllabus_unique_namestringOptional

Unique name of a syllabus that belongs to the enrollment

pageinteger · int32Optional

Which page of results to start on

per_pageinteger · int32Optional

How many results to show per page

access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Responses
chevron-right
200

List of training plan enrollments

Contains id of the student that the enrollment belongs to

subscription_idstring · uuidRequired

Id of the subscription this enrollment belongs to

Example: 00000000-0000-0000-0000-000000000000
namestringRequired

Name of the training plan that the enrollment is attached to

percent_requirements_fulfilledinteger · int32Optional

Return the percentage of requirements that are fulfilled for this enrollment

ed2go_registration_keystringOptional

Registration key created by Ed2Go that corresponds to this enrollment (if applicable)

average_scorenumberOptional

The Average Score of this enrollment

grade_point_averagenumberOptional

The Grade Point Average (GPA) of this enrollment

enrollment_idstring · uuidRequired

Id of this enrollment

Example: 00000000-0000-0000-0000-000000000000
enrollment_datestring · date-timeOptional

When this enrollment was created

start_datestring · date-timeOptional

When this enrollment was started

expiration_datestring · date-timeOptional

When this enrollment expires (UTC)

completion_datestring · date-timeOptional

When this enrollment was completed by the student (UTC)

syllabus_idstring · uuidOptional

Id of the syllabus belonging to this enrollment

Example: 00000000-0000-0000-0000-000000000000
unique_namestringOptional

UniqueName is meant to be a simple way to map a user defined identifier to to specific a syllabus without the risk of duplicates. The advantage over using the Id is that it can be moved from one syllabus to another.

first_activity_datestring · date-timeOptional

When this enrollment was first accessed (UTC)

last_activity_datestring · date-timeOptional

When this enrollment was last accessed (UTC)

resultinteger · enumRequired

When in the completed state this describes what the end result is.0 = Not Graded, 1 = Passed, 2 = Failed

Possible values:
phaseinteger · enumRequired

The state of an activity.0 = Not Started, 1 = In Progress, 2 = Finished, 15 = To Be Graded, 16 = Resubmit Required

Possible values:
user_idstring · uuidRequired

Id of the user in the enrollment

Example: 00000000-0000-0000-0000-000000000000
get
/api/v1/LearningApi/GetTrainingPlanEnrollments

Gets all the custom enrollment fields available to an organization, or a field matching an id in a given org. Will throw a CustomFieldNotFound exception if no custom profile field exists with the given field id.

get
Query parameters
org_idstring · uuidRequired

Id of the organization to get the custom enrollment fields for

field_idstring · uuidOptional

Optional field id to filter by

access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Responses
chevron-right
200

List of custom enrollment fields

Contains information about a single custom enrollment field

field_idstring · uuidRequired

Id of the custom field

Example: 00000000-0000-0000-0000-000000000000
namestringRequired

Represents the name of the custom field

keystringRequired

Key of the custom field

descriptionstringOptional

Description of the custom field

typeinteger · enumRequired

Type of custom enrollment field. None=0; Text=1; DateTime=2; Boolean=3; Numeric=4; Email=5; SelectDropDown=6; DateOnly=7; SelectCheckbox=8;0 = None, 1 = Text Field, 2 = Date/Time Field, 3 = YES/NO Field, 4 = Number Field, 5 = Email Field, 6 = Select Dropdown Field, 7 = Date Field, 8 = Select Checkbox Field

Possible values:
org_idstring · uuidRequired

Id of the organization this custom enrollment field belongs to

Example: 00000000-0000-0000-0000-000000000000
org_short_namestringRequired

Short name of the organization this custom enrollment field belongs to

get
/api/v1/LearningApi/GetCustomEnrollmentFields

Gets the default custom enrollment field

get

Gets the default custom enrollment field setting for the given organization and field, and optionally filters by syllabus. Will throw a CustomFieldNotFound exception if no custom profile field exists with the given field id. Returns null if no default setting is found.

Query parameters
org_idstring · uuidRequired

Id of an organization that the field is in

field_idstring · uuidRequired

Id of the custom enrollment field

syllabus_idstring · uuidOptional

Optional id of the syllabus to get the default field setting for

access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Responses
chevron-right
200

Custom enrollment field and default setting

Contains information for a single custom enrollment field setting

field_idstring · uuidRequired

Id of the field this custom enrollment field setting corresponds to

Example: 00000000-0000-0000-0000-000000000000
namestringRequired

Represents the name of the custom field

keystringRequired

Key of the custom field

default_valuestringRequired

Custom field default value

setting_org_idstring · uuidRequired

Id of the organization the default setting is in

Example: 00000000-0000-0000-0000-000000000000
setting_org_short_namestringRequired

Short name of the organization the default setting is in

field_org_idstring · uuidRequired

Id of the organization the setting field is in

Example: 00000000-0000-0000-0000-000000000000
field_org_short_namestringRequired

Short name of the organization the setting field is in

typeinteger · enumRequired

Type of custom enrollment field this setting belongs to. None=0; Text=1; DateTime=2; Boolean=3; Numeric=4; Email=5; SelectDropDown=6; DateOnly=7; SelectCheckbox=8;0 = None, 1 = Text Field, 2 = Date/Time Field, 3 = YES/NO Field, 4 = Number Field, 5 = Email Field, 6 = Select Dropdown Field, 7 = Date Field, 8 = Select Checkbox Field

Possible values:
get
/api/v1/LearningApi/GetDefaultCustomEnrollmentFieldSetting

Gets all custom enrollment field values based on the given criteria

get

Gets all custom enrollment field values based on the given criteria, with DateTime fields being in UTC. Valid argument combinations are:

  • enrollment_id

  • subscriber_id and syllabus_id

  • enrollment_id and key

  • subscriber_id, syllabus_id, and key. ###Permissions Requirements Requires the View Section Enrollments permission in the enrollment organization.

Query parameters
enrollment_idstring · uuidOptional

Id of the enrollment to get the custom enrollment field values for

subscriber_idstring · uuidOptional

Id of the subscription to get the custom enrollment field values for

syllabus_idstring · uuidOptional

Id of the section or training plan to get the custom enrollment field values for

keystringOptional

Key of the custom enrollment field to get the value for

access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Responses
chevron-right
200

List of custom enrollment field values

Contains information for a single custom enrollment field value

namestringRequired

Represents the name of the custom field

keystringRequired

Key of the custom field

valuestringRequired

Custom field value

org_idstring · uuidRequired

Id of the enrollment organization this custom enrollment field value belongs to

Example: 00000000-0000-0000-0000-000000000000
org_short_namestringRequired

Short name of the enrollment organization this custom enrollment field value belongs to

inherited_from_org_idstring · uuidOptional

Id of the organization this field is inherited from (if applicable)

Example: 00000000-0000-0000-0000-000000000000
inherited_from_org_short_namestringOptional

Short name of the organization this field is inherited from (if applicable)

field_idstring · uuidRequired

Id of the field this custom enrollment field value corresponds to

Example: 00000000-0000-0000-0000-000000000000
typeinteger · enumRequired

Type of custom enrollment field this value belongs to. None=0; Text=1; DateTime=2; Boolean=3; Numeric=4; Email=5; SelectDropDown=6; DateOnly=7; SelectCheckbox=8;0 = None, 1 = Text Field, 2 = Date/Time Field, 3 = YES/NO Field, 4 = Number Field, 5 = Email Field, 6 = Select Dropdown Field, 7 = Date Field, 8 = Select Checkbox Field

Possible values:
get
/api/v1/LearningApi/GetCustomEnrollmentFieldValues

Sets the custom enrollment field values for a subscription

post

Sets the custom enrollment field values for a subscription based on the enrollment id and key/value pairs in the request. ###Permissions Requires the Update Section Enrollments permission in the enrollment subscription organization.

Query parameters
access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Body

Contains id of the enrollment and the custom fields/values to set

enrollment_idstring · uuidRequired

Id of the enrollment to set custom fields/values for

Example: 00000000-0000-0000-0000-000000000000
Responses
chevron-right
200

Information about whether an error occurred (in the case of a nonexistent field being passed in, not an exception)

Used to inform the method caller if any of the passed in fields are invalid. Message may contain additional error information.

errorbooleanRequired

Whether there was an error in the method

messagestringOptional

Contains additional information about the type of error that occurred

post
/api/v1/LearningApi/SetCustomEnrollmentFieldValues

Drop an enrollment.

get

Allows a user to drop an enrollment. Will create a drop record on the user's transcript. Requires either the Drop Section Enrollments or Drop Training Plan Enrollments permission in the enrollment organization or an ancestor.

Query parameters
enrollment_idstring · uuidRequired

Id of the enrollment to drop

access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Responses
chevron-right
200

Enrollment id and whether the enrollment has been dropped

Contains information pertaining to a dropped or deleted enrollment

enrollment_idstring · uuidRequired

Id of the enrollment that was dropped or deleted

Example: 00000000-0000-0000-0000-000000000000
is_dropped_or_deletedbooleanRequired

Can be used to verify that the enrollment was successfully removed if no errors occur. True if the enrollment no longer exists in the system, false otherwise.

get
/api/v1/LearningApi/DropEnrollment

Allows a user to delete an enrollment.

get

Deleted Enrollments Will no longer be visible on the user's transcript, but will create a deleted record visible to admins. ###Permissions Requires either the Delete Section Enrollments or Drop Training Plan Enrollments permission in the enrollment organization or an ancestor. Customer service can delete section enrollments and system operators can delete training plan enrollments.

Query parameters
enrollment_idstring · uuidRequired

Id of the enrollment to delete

access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Responses
chevron-right
200

Enrollment id and whether it has been deleted

Contains information pertaining to a dropped or deleted enrollment

enrollment_idstring · uuidRequired

Id of the enrollment that was dropped or deleted

Example: 00000000-0000-0000-0000-000000000000
is_dropped_or_deletedbooleanRequired

Can be used to verify that the enrollment was successfully removed if no errors occur. True if the enrollment no longer exists in the system, false otherwise.

get
/api/v1/LearningApi/DeleteEnrollment

Creates a enrollment with the information specified by request.

post

Creates a enrollment with the information specified by request. ###Permissions Requires the Update Section Enrollments or Update Training Plan Enrollments permission based on the specified syllabus in the specified org or any ancestors. Also requires the Add Subscriptions and Add Memberships permissions if there is no pre-existing subscription or memberships. A membership is required in the syllabus organization or in an organization to which the catalog is shared.

Query parameters
access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Body

Contains fields for creating a new enrollment

org_idstring · uuidRequired

Id of the enrollment's organization

Example: 00000000-0000-0000-0000-000000000000
user_idstring · uuidRequired

The user id to create the enrollment for

Example: 00000000-0000-0000-0000-000000000000
syllabus_idstring · uuidOptional

The syllabus id to create the enrollment in

Example: 00000000-0000-0000-0000-000000000000
syllabus_unique_namestringOptional

The syllabus unique name to create the enrollment in

membership_group_idsstring · uuid[]Required

Membership group ids to give the user a membership in

Responses
chevron-right
200

Id of created enrollment

Contains the id of the enrollment created by the CreateEnrollment web api method

enrollment_idstring · uuidRequired

Id of the created enrollment

Example: 00000000-0000-0000-0000-000000000000
post
/api/v1/LearningApi/CreateEnrollment

Gets assignment statuses for a section enrollment.

get

Use either enrollment_id OR both subscription_id and section_id. Can optionally filter by a specific assignment.

Results are ordered by assignment status creation date from most recent to least recent. ###Permissions Requires the View Enrollments permission in the enrollment/subscription org or an ancestor.

Query parameters
enrollment_idstring · uuidOptional

Section enrollment to get statuses for

subscription_idstring · uuidOptional

Id of the subscription for a section enrollment

section_idstring · uuidOptional

Id of the section for a section enrollment

assignment_idstring · uuidOptional

Optional assignment to filter by

pageinteger · int32Optional

Which page of results to start on

per_pageinteger · int32Optional

How many results to show per page

access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Responses
chevron-right
200

List of assignment statuses

Represents an assignment status for an assignment on an enrollment.

assignment_status_idstring · uuidRequired

Id of the assignment status

Example: 00000000-0000-0000-0000-000000000000
phaseinteger · enumRequired

The state of an activity. NotStarted=0; InProgress=1; Finished=2; ToBeGraded=15; ResubmitRequired=16;0 = Not Started, 1 = In Progress, 2 = Finished, 15 = To Be Graded, 16 = Resubmit Required

Possible values:
resultinteger · enumRequired

When an Activity/Enrollment is in the completed state an ActivityResult describes what the end result is. NotGraded=0; Passing=1; Failing=2;0 = Not Graded, 1 = Passed, 2 = Failed

Possible values:
resubmit_required_reasonstringOptional

Why the assignment must be resubmitted (if applicable)

academic_overridebooleanRequired

True if this assignment has been academically overridden by an admin

academic_override_reasonstringOptional

Why the assignment was academically overridden (if applicable)

utc_creation_datestring · date-timeRequired

When this assignment status was created

utc_first_activity_datestring · date-timeOptional

When the assignment first had activity (if applicable)

utc_last_activity_datestring · date-timeOptional

When the assignment last had activity (if applicable)

utc_completion_datestring · date-timeOptional

When the assignment was completed by the student (if applicable)

academic_override_admin_idstring · uuidOptional

Id of the admin who edited the assignment status (if applicable)

Example: 00000000-0000-0000-0000-000000000000
grade_given_by_idstring · uuidOptional

Id of the instructor or other operator that gave this grade. Should be null if the grade was system assigned

Example: 00000000-0000-0000-0000-000000000000
assignment_idstring · uuidRequired

Id of the assignment for this assignment status

Example: 00000000-0000-0000-0000-000000000000
enrollment_idstring · uuidRequired

Id of the enrollment for this assignment status

Example: 00000000-0000-0000-0000-000000000000
user_idstring · uuidRequired

Id of the user tied to the assignment status enrollment

Example: 00000000-0000-0000-0000-000000000000
enrollment_scoreinteger · int32Optional

The Score of this enrollment

enrollment_max_scorenumber · doubleOptional

The Max Score of this enrollment

assignment_scoreinteger · int32Optional

The Score of this assignment

assignment_max_scorenumber · doubleOptional

The Max Score of this assignment

assignment_mastery_scorenumber · doubleOptional

The Mastery Score of this assignment

assignment_weightnumber · doubleOptional

The Weight of this assignment

assignment_weighted_scorenumberOptional

The Weighted Score of this assignment

get
/api/v1/LearningApi/GetAssignmentStatuses

Gets the url for a completed certificate for a given enrollment.

get

Gets the url for a completed certificate for a given enrollment. If the enrollment has been deleted, it will attempt to get the certificate based on the transcript record for that enrollment.

Query parameters
enrollment_idstring · uuidRequired

Id of the enrollment

access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Responses
chevron-right
200

Url of completed certificate file

Contains the url of a completed certificate

certificate_urlstringRequired

Url pointing to completed certificate pdf

certificate_readybooleanRequired

Returns true if the certificate is ready to be downloaded.

certificate_not_assignedbooleanRequired

Will be set to TRUE if the Syllabus (Traning Plan or Section) for this enrollment has no assigned certificate.

get
/api/v1/LearningApi/GetCertificateUrl

Gets relevant section information for a given syllabus.

get

Either a productid or a syllabus ID must be given but not both.

Query parameters
syllabus_idstring · uuidOptional

Id of the syllabus

product_idstring · uuidOptional

The Product ID from a catalog

access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Responses
chevron-right
200

Section information

Contains relevant section information

section_numberstringRequired

Section number

section_ceusstringRequired

Section CEUs

section_durationstringRequired

How long the section lasts

syllabus_idstring · uuidRequired

Id of the syllabus

Example: 00000000-0000-0000-0000-000000000000
titlestringRequired

Title for this syllabus

unique_namestringOptional

UniqueName is meant to be a simple way to map a user defined identifier to to specific a syllabus without the risk of duplicates. The advantage over using the Id is that it can be moved from one syllabus to another.

utc_date_createdstring · date-timeOptional

When this syllabus was created

utc_date_last_modifiedstring · date-timeOptional

When this syllabus was last modified

hiddenbooleanOptional

Does the section show up on the enrollment list?

disable_certificates_for_studentbooleanOptional

Can the student print their own certificate

allow_dropsbooleanOptional

Are students allowed to drop the section on their own?

auto_enroll_new_membersbooleanOptional

Should groups auto-enroll new members into this section?

end_after_period_from_enrollment_startbooleanOptional

Use EnrollmentDuration in calculating course end date

enrollment_durationinteger · int32Required

Duration of enrollment from enrollmentDate

enrollment_startstring · date-timeRequired

The first day that the student can be enrolled into this section

enrollment_endstring · date-timeRequired

The last day that the student can be enrolled into this section

final_drop_datestring · date-timeRequired

The last day that the student can drop this section

training_startstring · date-timeOptional

When the section opens for launching.

training_endstring · date-timeRequired

When the section closes.

disable_manual_enrollmentbooleanOptional

This controls whether or not the student can enroll themselves from the catalog view. Administrators should still be able to enroll a student AND the student should still be able to purchase in the Marketplace if it's available for enrollment Don't use this in the model.

credit_hoursnumberOptional

How many credit hours this syllabus is worth.

get
/api/v1/LearningApi/GetSection

Gets a list of sections.

post

Gets a list of sections that matches the list of section IDs provided.

The number of returned sections may not match the number requested. If the list contains duplicates only one entry will be returned.

Query parameters
access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Body
sectionsstring · uuid[]Required

List of section IDs of sections to return

Responses
chevron-right
200

List of Sections

Contains relevant section information

post
/api/v1/LearningApi/GetSections

Returns the description for a given section

get
Query parameters
section_idstring · uuidRequired

Id of the section

access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Responses
chevron-right
200

Section description

Contains description of section/training plan/etc.

descriptionstringRequired

Description of section or training plan, etc.

get
/api/v1/LearningApi/GetSectionDescription

Returns the objectives for a given section

get
Query parameters
section_idstring · uuidRequired

Id of the section

access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Responses
chevron-right
200

Section objectives

Contains section objectives

objectivesstringRequired

Objectives of the section

get
/api/v1/LearningApi/GetSectionObjectives

Student sessions in assignments

post

Returns the student sessions in section assignments.

An Assignment Session accounts for the time a student spends in an assignment. If a student is in an assignment and is inactive for more than 10 minutes then a new session will be recording on their next activity.

###Permissions The API user must have the "Can View Enrollments" permission on the given org.

Query parameters
access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Body

Request Message for retrieving student sessions

user_idstring · uuidRequired

User ID of the student sessions being searched for being searched

Example: 00000000-0000-0000-0000-000000000000
org_idstring · uuidRequiredExample: 00000000-0000-0000-0000-000000000000
section_idstring · uuidOptional

If provided then the results will be limited to this one section id

Example: 00000000-0000-0000-0000-000000000000
from_datestring · date-timeRequired
to_datestring · date-timeOptional
Responses
chevron-right
200

Successfully returned the requested sessions

pageinteger · int32Required

The one based index of the current page

page_sizeinteger · int32Required

Requested page size

total_countinteger · int32Required

Number of records across ALL pages

post
/api/v1/LearningApi/GetStudentSessions

Gets relevant training plan information for a given training plan id.

get
Query parameters
training_plan_idstring · uuidOptional

Id of the training plan

product_idstring · uuidOptional

A product id from any catalog this training plan is in

access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Responses
chevron-right
200

Training plan information

Contains relevant training plan information

org_idstring · uuidOptional

Id of the organization this training plan belongs to

Example: 00000000-0000-0000-0000-000000000000
namestringOptional

Name of the Training Plan

root_requirement_idstring · uuidOptional

Id of the root requirement for this training plan

Example: 00000000-0000-0000-0000-000000000000
syllabus_idstring · uuidRequired

Id of the syllabus

Example: 00000000-0000-0000-0000-000000000000
titlestringRequired

Title for this syllabus

unique_namestringOptional

UniqueName is meant to be a simple way to map a user defined identifier to to specific a syllabus without the risk of duplicates. The advantage over using the Id is that it can be moved from one syllabus to another.

utc_date_createdstring · date-timeOptional

When this syllabus was created

utc_date_last_modifiedstring · date-timeOptional

When this syllabus was last modified

hiddenbooleanOptional

Does the section show up on the enrollment list?

disable_certificates_for_studentbooleanOptional

Can the student print their own certificate

allow_dropsbooleanOptional

Are students allowed to drop the section on their own?

auto_enroll_new_membersbooleanOptional

Should groups auto-enroll new members into this section?

end_after_period_from_enrollment_startbooleanOptional

Use EnrollmentDuration in calculating course end date

enrollment_durationinteger · int32Required

Duration of enrollment from enrollmentDate

enrollment_startstring · date-timeRequired

The first day that the student can be enrolled into this section

enrollment_endstring · date-timeRequired

The last day that the student can be enrolled into this section

final_drop_datestring · date-timeRequired

The last day that the student can drop this section

training_startstring · date-timeOptional

When the section opens for launching.

training_endstring · date-timeRequired

When the section closes.

disable_manual_enrollmentbooleanOptional

This controls whether or not the student can enroll themselves from the catalog view. Administrators should still be able to enroll a student AND the student should still be able to purchase in the Marketplace if it's available for enrollment Don't use this in the model.

credit_hoursnumberOptional

How many credit hours this syllabus is worth.

get
/api/v1/LearningApi/GetTrainingPlan

Returns the description for a given training plan

get
Query parameters
training_plan_idstring · uuidRequired
access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Responses
chevron-right
200

Training plan description

Contains description of section/training plan/etc.

descriptionstringRequired

Description of section or training plan, etc.

get
/api/v1/LearningApi/GetTrainingPlanDescription

Gets a list of assignments for the corresponding section. Assignments are sorted first by display order from lowest to highest, then by the date they were added from most least recent to most recent.

get
Query parameters
section_idstring · uuidRequired
pageinteger · int32Optional

Which page of results to start on

per_pageinteger · int32Optional
access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Responses
chevron-right
200

List of assignments

Contains details of an assignment

assignment_idstring · uuidRequired

Id of the assignment

Example: 00000000-0000-0000-0000-000000000000
titlestringRequired

Corresponds to Caption/Title/Topic field in Assignment. Gets the raw VTL template for this field.

pacing_duration_hoursinteger · int32Required

The amount of time a student is credited for completing this assignment towards their calculated pace. This does not represent the amount of time that a student spends in an assignments such as session time BUT it rather respresents the amount of total calendar time given to the student to complete an assignment.

weightnumber · doubleRequired

Determines how much this assignment affects the student's grade

due_date_deductioninteger · int32Required

How many points are deducted for turning the assignment in late

due_date_strategyinteger · enumOptional

How a late assignment is handled. FailAfterDueDate=0; ApplyPenalty=1; TakeNoAction=2;0 = Fail After Due Date, 1 = Apply Penalty, 2 = Take No Action

Possible values:
utc_due_datestring · date-timeRequired

When the assignment is due

utc_start_datestring · date-timeRequired

When the assignment becomes available

lock_out_hoursinteger · int32Required

The number of hours that must pass since the enrollment date before this assignment is available.

utc_date_modifiedstring · date-timeOptional

When the assignment was last modified

utc_date_addedstring · date-timeOptional

When this assignment was added

grading_strategyinteger · enumOptional

ManuallyGraded=0; Internal=2; NoGrade=3;0 = ManuallyGradedAssignmentType, 2 = InternallyGradedAssignmentType, 3 = NoGradeAssignmentType

Possible values:
max_scorenumber · doubleRequired

The highest attainable score for this assignment

mastery_scorenumber · doubleRequired

The minimum score required to attain mastery of an assignment

display_orderinteger · int64Optional

Used for sorting

assignment_typestringRequired

The type of assignment. Can be any of the following: Courseware Assignment; Discussion Assignment; Media Assignment; Quality Assurance Assignment; Swappable Assignment; Test Assignment; Survey Assignment; Writing Assignment; Student Input Assignment;

attempt_limitinteger · int32Optional

For test assignments, how many atttempts a student is allowed before they are no longer able to take the test

get
/api/v1/LearningApi/GetAssignments

Gets the details of an assignment based on its Id

get
Query parameters
assignment_idstring · uuidRequired
access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Responses
chevron-right
200

Assignment information

Contains details of an assignment

assignment_idstring · uuidRequired

Id of the assignment

Example: 00000000-0000-0000-0000-000000000000
titlestringRequired

Corresponds to Caption/Title/Topic field in Assignment. Gets the raw VTL template for this field.

pacing_duration_hoursinteger · int32Required

The amount of time a student is credited for completing this assignment towards their calculated pace. This does not represent the amount of time that a student spends in an assignments such as session time BUT it rather respresents the amount of total calendar time given to the student to complete an assignment.

weightnumber · doubleRequired

Determines how much this assignment affects the student's grade

due_date_deductioninteger · int32Required

How many points are deducted for turning the assignment in late

due_date_strategyinteger · enumOptional

How a late assignment is handled. FailAfterDueDate=0; ApplyPenalty=1; TakeNoAction=2;0 = Fail After Due Date, 1 = Apply Penalty, 2 = Take No Action

Possible values:
utc_due_datestring · date-timeRequired

When the assignment is due

utc_start_datestring · date-timeRequired

When the assignment becomes available

lock_out_hoursinteger · int32Required

The number of hours that must pass since the enrollment date before this assignment is available.

utc_date_modifiedstring · date-timeOptional

When the assignment was last modified

utc_date_addedstring · date-timeOptional

When this assignment was added

grading_strategyinteger · enumOptional

ManuallyGraded=0; Internal=2; NoGrade=3;0 = ManuallyGradedAssignmentType, 2 = InternallyGradedAssignmentType, 3 = NoGradeAssignmentType

Possible values:
max_scorenumber · doubleRequired

The highest attainable score for this assignment

mastery_scorenumber · doubleRequired

The minimum score required to attain mastery of an assignment

display_orderinteger · int64Optional

Used for sorting

assignment_typestringRequired

The type of assignment. Can be any of the following: Courseware Assignment; Discussion Assignment; Media Assignment; Quality Assurance Assignment; Swappable Assignment; Test Assignment; Survey Assignment; Writing Assignment; Student Input Assignment;

attempt_limitinteger · int32Optional

For test assignments, how many atttempts a student is allowed before they are no longer able to take the test

get
/api/v1/LearningApi/GetAssignment

Returns instructions for a given assignment. The text for the instructions will be the raw VTL template.

get
Query parameters
assignment_idstring · uuidRequired
access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Responses
chevron-right
200

Assignment instructions

Contains instructions for an assignment

assignment_instructionsstringRequired

Instructions for an assignment

get
/api/v1/LearningApi/GetAssignmentInstructions
Deprecated

OBSOLETE Use AdminApi/GetOrganizations instead Returns a list of sub organizations (as well as the parent organization) corresponding to the given id or short name. Each item in the list will contain the org id, org name, and org short name. Results are in alphabetical order by org name.

get
Query parameters
org_idstring · uuidOptional
org_short_namestringOptional
pageinteger · int32Optional

Which page of results to start on

per_pageinteger · int32Optional
access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Responses
chevron-right
200

List of organizations

Contains organization name, short name, and custom fields

org_idstring · uuidRequired

Id of the organization

Example: 00000000-0000-0000-0000-000000000000
namestringRequired

Name of the organization

short_namestringRequired

Short name of the organization

get
/api/v1/LearningApi/GetOrganizations

Returns information about catalogs matching the specified search criteria. Results are ordered alphabetically by catalog name.

post
Query parameters
pageinteger · int32Optional

Which page of results to start on

per_pageinteger · int32Optional
access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Body

Contains information for retrieving catalog data

group_idstring · uuidRequired

Id of group or organization

Example: 00000000-0000-0000-0000-000000000000
publishing_modelinteger · enumOptional

The publishing model for the catalogs. Will grab all by default if not specified. AvailableToMembers=0; ForSaleInMarketPlace=1; Hidden=2;0 = AvailableToMembers, 1 = ForSaleInMarketPlace, 2 = Hidden

Possible values:
catalog_access_optioninteger · enumOptional

The accessing option for listing the catalogs. Default to shared catalogs if not specified. Shared=0; Owned=1; Both=2;0 = Shared, 1 = Owned, 2 = Both

Possible values:
Responses
chevron-right
200

Response containing list of catalogs

Contains list of catalog response items.

post
/api/v1/LearningApi/GetCatalogs

Returns details for the given catalog

get
Query parameters
catalog_idstring · uuidRequired
access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Responses
chevron-right
200

Catalog information

Exposes the public fields of a Nexport catalog for use with the web api

org_idstring · uuidRequired

Id of the organization that this catalog belongs to

Example: 00000000-0000-0000-0000-000000000000
org_namestringRequired

Name of the organization that this catalog belongs to

org_short_namestringRequired

Short name of the organization that this catalog belongs to

catalog_idstring · uuidRequired

Id of the catalog

Example: 00000000-0000-0000-0000-000000000000
is_enabledbooleanOptional

Whether the catalog is enabled or disabled

namestringRequired

Name of the catalog

date_createdstring · date-timeOptional

When the catalog was created

owner_idstring · uuidOptional

Id of the user that owns this catalog

Example: 00000000-0000-0000-0000-000000000000
owner_namestringOptional

Name of the user that owns this catalog

modified_by_idstring · uuidOptional

Id of the user that modified this catalog

Example: 00000000-0000-0000-0000-000000000000
last_modifiedstring · date-timeOptional

When the catalog was last modified

pricing_modelinteger · enumOptional

The entire catalog uses a single PricingModel. This property determines HOW prices are set for items in the catalog. None=0; PerHourPrice=1; PerItemPrice=2;0 = None, 1 = PerHour, 2 = PerItem

Possible values:
access_time_limitstringOptional

This property applies to users that have purchased the catalog. This is the timespan that the student has after redeeming this catalog to have access to it. The time starts when the catalog is redeemed and the catalog is available until this amount of time has passed.

publishing_modelinteger · enumOptional

This property controls how this catalog is made available to users. AvailableToMembers=0; ForSaleInMarketPlace=1; Hidden=2;0 = AvailableToMembers, 1 = ForSaleInMarketPlace, 2 = Hidden

Possible values:
get
/api/v1/LearningApi/GetCatalog

Returns the description for a given catalog

get
Query parameters
catalog_idstring · uuidRequired
access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Responses
chevron-right
200

Description of the catalog

Contains description of section/training plan/etc.

descriptionstringRequired

Description of section or training plan, etc.

get
/api/v1/LearningApi/GetCatalogDescription

Returns the credit hours for a given catalog

get
Query parameters
catalog_idstring · uuidRequired
access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Responses
chevron-right
200

Credit hours of the catalog

Contains the total credit hours of the catalog

credit_hoursnumberRequired

Total credit hours based on the credit hours of sections and training plan in the catalog

get
/api/v1/LearningApi/GetCatalogCreditHours

Returns a list of categories for a given catalog. Results are ordered by the category creation date from most recent to least recent.

get
Query parameters
catalog_idstring · uuidRequired
pageinteger · int32Optional

Which page of results to start on

per_pageinteger · int32Optional
access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Responses
chevron-right
200

List of categories

Exposes the public members of the Nexport category for use with the web api

category_idstring · uuidRequired

Id of the category

Example: 00000000-0000-0000-0000-000000000000
namestringRequired

The name of the Category

catalog_idstring · uuidRequired

Id of the catalog in which the category belongs to

Example: 00000000-0000-0000-0000-000000000000
org_idstring · uuidRequired

Id of the organization in which the category belongs to

Example: 00000000-0000-0000-0000-000000000000
parent_category_idstring · uuidRequired

Id of the category's parent category

Example: 00000000-0000-0000-0000-000000000000
date_createdstring · date-timeOptional

When this category was created

get
/api/v1/LearningApi/GetCategories

Gets a list of syllabus ids, names, and types for syllabi that belong to the catalog. Results are ordered alphabetically by syllabus title.

get
Query parameters
catalog_idstring · uuidRequired
pageinteger · int32Optional

Which page of results to start on

per_pageinteger · int32Optional
access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Responses
chevron-right
200

List of syllabi

Item for a list of syllabi. Contains syllabus name, type, and product id

syllabus_idstring · uuidRequired

Id of the syllabus

Example: 00000000-0000-0000-0000-000000000000
syllabus_namestringOptional

Name of the syllabus

syllabus_typeinteger · enumRequired

Section=0; TrainingPlan=1; Unknown=-1;0 = Section, 1 = Training Plan, -1 = Unknown

Possible values:
product_idstring · uuidOptional

Product ID is derived from the catalog. The Product ID is used when adding an item to an invoice.

Example: 00000000-0000-0000-0000-000000000000
get
/api/v1/LearningApi/GetCatalogSyllabi

Gets syllabi in a category

get

Gets a list of syllabus ids, names, and types for syllabi that belong to the given category. Results are ordered alphabetically by syllabus title.

Query parameters
category_idstring · uuidRequired
pageinteger · int32Optional

Which page of results to start on

per_pageinteger · int32Optional
access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Responses
chevron-right
200

List of syllabi

Item for a list of syllabi. Contains syllabus name, type, and product id

syllabus_idstring · uuidRequired

Id of the syllabus

Example: 00000000-0000-0000-0000-000000000000
syllabus_namestringOptional

Name of the syllabus

syllabus_typeinteger · enumRequired

Section=0; TrainingPlan=1; Unknown=-1;0 = Section, 1 = Training Plan, -1 = Unknown

Possible values:
product_idstring · uuidOptional

Product ID is derived from the catalog. The Product ID is used when adding an item to an invoice.

Example: 00000000-0000-0000-0000-000000000000
get
/api/v1/LearningApi/GetCategorySyllabi
Deprecated

OBSOLETE Use AssessmentApi/GetTestAttempts instead Gets a list of test attempts for the given section enrollment and assignment. Results are ordered by attempt index from highest (most recent attempt) to lowest (least recent attempt). Requires at least one of the following: User has View Section Enrollments permission in enrollment organization or an ancestor OR User has Update Section Enrollments permission in enrollment organization or an ancestor OR User is an instructor for the section that the assignment is in.

get
Query parameters
enrollment_idstring · uuidRequired
assignment_idstring · uuidRequired
pageinteger · int32Optional

Which page of results to start on

per_pageinteger · int32Optional
access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Responses
chevron-right
200

List of test attempts

Contains details of a test attempt

attempt_idstring · uuidRequired

Id of this test attempt

Example: 00000000-0000-0000-0000-000000000000
attempt_indexinteger · int32Required

Which attempt number this is. Index is ZERO BASED.

start_datestring · date-timeOptional

When the student started this attempt (in UTC)

last_time_left_updatestring · date-timeOptional

When the TimeLeft field was last modified

finish_datestring · date-timeOptional

When the student completed this attempt (in UTC)

allow_relaunchbooleanRequired

Whether or not the student can relaunch the test after exiting without finishing

time_leftstringOptional

How much time the student has remaining to complete this attempt

num_questionsinteger · int32Required

The number of questions that this attempt was created with

is_completebooleanRequired

Has this attempt been submitted?

scorenumber · doubleOptional

The score for this attempt or null if is_complete is set to false

commentsstringOptional

Any additional comments from the student for this test attempt.

get
/api/v1/LearningApi/GetTestAttempts
Deprecated

OBSOLETE Use ScormApi/GetCmiData instead Gets data for the specified SCORM CMI fields based on the element names. Results are ordered alphabetically by SCO ID. Requires the View Section Enrollments permission in the enrollment organization or an ancestor.

post
Query parameters
pageinteger · int32Optional

Which page of results to start on

per_pageinteger · int32Optional
access_tokenstringRequired

Use the AdminApi Authenticate method to get the access_token

Body

Contains information for filtering which SCORM CMI data to retrieve

enrollment_idstring · uuidRequired

Id of the enrollment to get SCORM data for

Example: 00000000-0000-0000-0000-000000000000
assignment_idstring · uuidRequired

Id of the assignment to get SCORM data for

Example: 00000000-0000-0000-0000-000000000000
cmi_element_namesstring[]Required

List of CMI element names to get data for

Responses
chevron-right
200

List of SCOs and corresponding CMI data

Contains list of CMI fields/values as well as start and end date for the attempt, the title, and the sco id

titlestringRequired

Title for the SCO

sco_idstringRequired

ID for the SCO

start_date_utcstring · date-timeOptional

When the student started this SCO

exit_date_utcstring · date-timeOptional

When the student exited this SCO

post
/api/v1/LearningApi/GetCmiData

Last updated